<template>
  <nav class="w-full h-[62px] border-b4 bg-background2">
    <div>
      <nuxt-link
        v-if="except"
        to="/"
        class="btn bg-blue-800/100 hover:bg-blue-800/75"
      >
        <div class="w-full flex gap-1 justify-center content-center py-[1px]">
          <img
            src="http://purelite1.tswltry.com/common/image/home.svg"
            class="w-[13px] object-contain mb-[3px]"
          />
          <span class="text-[12px]">{{ $t("home") }}</span>
        </div>
      </nuxt-link>
    </div>
    <div class="flex justify-center">
      <utils-language class="flex items-center content-center" />
      <template v-if="!isSportPage">
        <button
          v-if="!introduce.IsHidden"
          type="button"
          class="bg-secondary pure-button"
          @click="openDialog"
        >
          {{ $t("about_us") }}
        </button>
      </template>
      <nuxt-link v-else to="/sports-bet">
        <button type="button" class="bg-secondary pure-button">
          {{ $t("bet_list") }}
        </button>
      </nuxt-link>
      <nuxt-link v-if="!isLoggedIn" to="/login">
        <button type="button" class="bg-secondary pure-button">
          {{ $t("capital_login") }}
        </button>
      </nuxt-link>
      <button
        v-else
        type="button"
        class="bg-primary pure-button"
        @click="onLogout"
      >
        {{ $t("logout") }}
      </button>
    </div>
  </nav>
  <el-dialog
    v-model="showAboutUsDialog"
    :width="isMobile ? '100%' : '480px'"
    :title="introduce.Text"
    align-center
  >
    <div class="min-h-[35vh]" v-html="introduceContent.Text"></div>
  </el-dialog>
</template>
<script lang="ts">
import _ from "lodash";
import { computed, defineComponent, ref } from "vue";
import { store } from "@/store";
import { useHeaderComponent } from "@/composables/useTheme";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  name: "Header",
  setup() {
    const isMobile = !useIsDesktop();
    const showAboutUsDialog = ref(false);
    const isLoggedIn = computed(() => store.state.auth);
    const { logout } = useHeaderComponent();
    const route = useRoute();
    const array: Array<string> = ["games", "sports", "home"];
    const tabSelected = computed(() =>
      _.replace(
        _.replace(route.path.split("/")[1], "-", ""),
        "/",
        ""
      ).toLowerCase()
    );
    const except = computed(() => !_.includes(array, tabSelected.value));
    const onLogout = () => {
      logout();
    };
    const openDialog = () => {
      showAboutUsDialog.value = true;
    };
    const isSportPage = computed(() =>
      route.fullPath.toLowerCase().includes("/sports")
    );
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const introduce = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_website_introduce_title"
        )
    );
    const introduceContent = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_website_introduce_content"
        )
    );
    return {
      showAboutUsDialog,
      isLoggedIn,
      onLogout,
      except,
      isSportPage,
      openDialog,
      introduce,
      introduceContent,
      isMobile,
    };
  },
});
</script>
<style scoped>
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
button.pure-button {
  padding: 10px;
  margin: 12px 5px;
  border-radius: 5px;
  cursor: pointer;
  line-height: normal;
  text-transform: uppercase;
}
.dialog-footer button:first-child {
  margin-right: 10px;
}
.select-lang {
  background: transparent;
}
.select-lang option {
  background-color: var(--background1);
}
</style>
<style>
.el-dialog__header .el-dialog__title {
  color: var(--text);
}
</style>
